/****************************************************************************
 *
 *  File        : show.h
 *
 *  Title       : User Interface Updating.
 *
 *  Author      : Andrae Muys
 *
 *  Revisions   : 2nd Nov 1999  AWM - Initial release.
 *
 ****************************************************************************/


#include "tcpdata.h"
#include "udpdata.h"
#include "ipdata.h"
#include "arpdata.h"

#ifndef SHOW_H
#define SHOW_H

void showConnUpdate (connData *conn);
void showUDPUpdate (UDPData *conn);
void showIPUpdate (ipData *ip);
void showARPUpdate (arpData *arp);

#endif
