#include <sys/types.h>
#include <gtk/gtk.h>

#include "snif.h"

#ifndef UDPDATA_H
#define UDPDATA_H

typedef struct UDPTable_ UDPTable;
typedef struct UDPData_ UDPData;

struct UDPTable_ {
	GHashTable *table;
	GMemChunk *chunk;
};

struct UDPData_ {
	u_int32_t ip;
	gulong datain;
	gulong dataout;
	time_t lastin, lastout;
	GtkCListRow *row;
};

UDPTable *udpTableInit ();
void udpTableUpdate (Snif *snif);

extern UDPTable *udpTable;

#endif
